<template>
  <div id="app">

    <todos v-model="todos"></todos>
<!--    <todos v-model="todos"></todos>-->
<button @click="addTodo">Ajouter une tâche</button>

  </div>
</template>

<script>
import Todos from './components/Todos.vue'

export default {
  name: 'App',
  data () {
    return { todos: [{ name: 'demo' , completed: false}]}
  },methods:{
    addTodo(){
       this.todos.push({ name : 'myDémo', completed: false})
    }
  },
  components: {
    Todos
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
